%define	upstream_name	 File-Find-Rule
%define upstream_version 0.32

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:	Alternative interface to File::Find
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Text::Glob)
BuildRequires:	perl(Number::Compare)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description 
File::Find::Rule is a friendlier interface to File::Find. It allows you to
build rules which specify the desired files and directories.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/File
%{_mandir}/*/*
%{_bindir}/*


%changelog
* Sun Nov 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.320.0-1mdv2010.1
+ Revision: 471052
- update to 0.32

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.300.0-1mdv2010.0
+ Revision: 403168
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.30-4mdv2009.0
+ Revision: 241215
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Jul 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.30-2mdv2008.0
+ Revision: 46977
- rebuild


* Tue Jun 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.30-1mdv2007.0
- New release 0.30
- HTTP source URL

* Wed May 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.29-1mdk
- New release 0.29
- better source URL
- better buildrequires syntax

* Sat Jun 11 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.28-3mdk 
- don't ship useless empty dirs
- spec cleanup
- rpmbuildupdate aware
- make test in %%check

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.28-2mdk
- fix buildrequires in a backward compatible way

* Wed Jun 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.28-1mdk
- 0.28

* Tue Mar 30 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.27-1mdk
- first mdk release

